package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFGU5 extends MwfRequest<MWFGU5, MWFGU5Response> {

    @Parameter(name = "CIF")
    MWFGU5 cif(String cif);
    @Parameter(name = "CisloUctu")
    MWFGU5 cisloUctu(String cisloUctu);
    @Parameter(name = "DatumDo")
    MWFGU5 datumDo(java.util.Date datumDo);
    @Parameter(name = "DatumOd")
    MWFGU5 datumOd(java.util.Date datumOd);
    @Parameter(name = "IdProduktu")
    MWFGU5 idProduktu(String idProduktu);
    @Parameter(name = "MaxDoc")
    MWFGU5 maxDoc(Long maxDoc);
    @Parameter(name = "OdDoc")
    MWFGU5 odDoc(Long odDoc);
    @Parameter(name = "PouzeNeprecteneDokumenty")
    MWFGU5 pouzeNeprecteneDokumenty(String pouzeNeprecteneDokumenty);
    @Parameter(name = "RazeniAtribut")
    MWFGU5 razeniAtribut(String razeniAtribut);
    @Parameter(name = "RazeniSmer")
    MWFGU5 razeniSmer(String razeniSmer);
    @Parameter(name = "SkupinaProduktu")
    MWFGU5 skupinaProduktu(String skupinaProduktu);
}
